.sidenav {
    z-index: 10;
    background-color: rgba(192,208,208,0.8);
    overflow-x: hidden;
    transition: 0.5s;
    float:left;
    margin-right:10px;
    margin-left:0px;
    text-align:left;
    width: 32px;
    font-size: 16px;
    position: absolute;
    top: 0;
    height: 100%;
}

.hoverbutton {
    cursor:pointer;
    background:#0078ae !important;
}

.hoverbutton:hover {
    background: #79c9ec !important;
}

.hoverbutton:active {
    background: #036 !important;
}

.sidenav .openbtn {
    position: absolute;
    top: 3px;
    left: 3px;
    font-size:20px;
    color:#333;
    line-height: 21px;
    z-index: 20;
 }

.sidenav .closebtn {
    position: absolute;
    top: 0px;
    left: 85px;
    font-size: 20px;
    color:#ccc;
    z-index: 20;
    background: white;
    border-radius: 10px;
    line-height: 21px;
}

.sidenavexternalcontent {
    z-index: -5;
    min-width: 400px;
    width: calc(100% - 80px);
    min-width: 400px;
    display:inline-block;
    overflow: hidden;
    white-space:nowrap;
    transition: 0.5s;
    padding: 0px 20px 10px 50px;
}